import GLOOP.*;
public class Kugelfangen {
    private GLKamera kamera;
    private GLLicht licht;
    private GLHimmel himmel;
    private GLTastatur tastatur;
   
    private Box dieBox;
    private Kugel kugel1, kugel2, kugel3;
    
    public Kugelfangen(){    
        kamera = new GLKamera();
        kamera.setzePosition(0,500,800);
             
        licht = new GLLicht();
        himmel = new GLHimmel("Sterne.jpg");
        tastatur = new GLTastatur();

        Spielfeld spielfeld = new Spielfeld(1000,1000);
        
        dieBox = new Box(100,100,spielfeld);
        kugel1 = new Kugel(100,-100, dieBox, spielfeld);
        kugel2 = new Kugel(200, 100, dieBox, spielfeld);
        kugel3 = new Kugel(-200,-200,dieBox, spielfeld);
        
        fuehreAus();        
    }  

    public void fuehreAus(){
        while (kugel1.istAktiv() || kugel2.istAktiv() || kugel3.istAktiv()){
            kugel1.bewege();
            kugel2.bewege();
            kugel3.bewege();
            dieBox.bewege();
            if (tastatur.oben()) dieBox.setzeBewegung(0,-1);
            if (tastatur.unten()) dieBox.setzeBewegung(0,1);
            if (tastatur.rechts()) dieBox.setzeBewegung(1,0);
            if (tastatur.links()) dieBox.setzeBewegung(-1,0);
            Sys.warte();
        }
        Sys.warte(1000);
        Sys.beenden();
    }
}

